Service returning all the weather informations associated to a site for a period. The weather data is retrieved from the weather station associated to the site
curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/weathersimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"date": "2023-12-25",
"picto": "<string>",
"temperature": 123,
"wind": 123,
"cloudiness": 123
}
]{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.Weathers
Service returning all the weather informations associated to a site for a period. The weather data is retrieved from the weather station associated to the site
Service returning all the weather informations associated to a site for a period. The weather data is retrieved from the weather station associated to the site. No disttinction is made between forecasted temperature and mesured ones
GET
/
sites
/
{site-id}
/
weathers
Service returning all the weather informations associated to a site for a period. The weather data is retrieved from the weather station associated to the site
curl --request GET \
--url https://api.home.datanumia.com/api/v1/sites/{site-id}/weathersimport requests
url = "https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v1/sites/{site-id}/weathers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"date": "2023-12-25",
"picto": "<string>",
"temperature": 123,
"wind": 123,
"cloudiness": 123
}
]{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.Path Parameters
The Edelia site id
Query Parameters
Begin date (included). ISO8601 (yyyy-MM-dd'T'HH:mm:ss.SSSZ)
End date (excluded). ISO8601 (yyyy-MM-dd'T'HH:mm:ss.SSSZ)
Response
OK
A date-time with a time-zone in the ISO-8601 calendar system, such as yyyy-MM-dd'T'HH:mm:ss.SSSZ
one of P7, P8, P9,...
Value of the temperature with precision (°C)
Value of the wind speed with precision (km/h)
Value of the cloudness (Okta)